# Sources from github
# git://github.com/valentinbasel/icaro.git
# cd icaro
# git archive --format=tar --prefix=icaro-1.0/ master | xz > ../icaro-1.0.tar.xz

# la idea es que el proyecto pasa a llamarse ICARO y va a contener a icaro-bloques, tortucaro y apicaro
# pero el rpm es icaro 

Name:           icaro
Version:        1.0
Release:        3%{?dist}
Summary:        ICARO is a robotic educational project

License:        GPLv3
URL:            http://roboticaro.org/
Source0:        %{name}-%{version}.tar.xz
Source1:	%{name}.desktop
# esto creo que lo arregle y no hace falta el patch
#Patch1:		icaro-fix_indent_error.patch

BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:	desktop-file-utils
Requires:       pygame
Requires:	pywebkitgtk
Requires:	pygtksourceview
Requires:	sdcc
Requires:	gputils
Requires:	pyusb
Requires:	python-tools
Requires:	sugar-turtleart
Requires:	pyserial

%description
Icaro Project is an educational robotic
software aimed to develop robotic and programming fundamentals.

%prep

%setup -q
#%patch1 -p1




%build
# Nothing to build

%install
#antes habia un rpm para instalar apicaro, pero no tiene sentido, es un modulo que sirve para icaro solamente, asi que agregue la carpeta apicaro
# directamente dentro de icaro para hacer la instalacion desde un solo rpm
#mkdir -p %{buildroot}%{_datadir}/apicaro
%{__python} apicaro/setup.py install --root=$RPM_BUILD_ROOT

# documentos tienen que estar dentro de icaro para poder ver el manual de ayuda 
# ejemplos, son ejemplos de programas echos con icaro para controlar robots

# cuando hago esto me da que no puedo seguir por "Permission denied"


mkdir -p %{buildroot}%{_datadir}/%{name}/

cp -p -a  {source,tmp,tortucaro,componente,imagenes,locale,documentos,ejemplos,apicaro,sdcc} %{buildroot}%{_datadir}/%{name}/


install -p -m 0644 {*.py,*.xml,*.dat,version} %{buildroot}%{_datadir}/%{name}/



#esto no se si lo puse bien
#for file in `find %{buildroot}%{_datadir}/%{gname} -type f  ! -perm /a+x -name '*.c'`; do
#chmod -vR a+x $file
#done


(cd %{buildroot} && find . -name '*.mo') | sed -e 's|^.||' |
sed -e \
   's:\(.*/locale/\)\([^/_]\+\)\(.*\.mo$\):%lang(\2) \1\2\3:' \
      >> icaro.lang

#copia de archivos para plugin tortucaro
mkdir -p %{buildroot}%{_datadir}/sugar/activities/TurtleArt.activity/plugins/icaro/
cp -a plugintortucaro/icaro/*.* %{buildroot}%{_datadir}/sugar/activities/TurtleArt.activity/plugins/icaro/
mkdir -p %{buildroot}%{_datadir}/sugar/activities/TurtleArt.activity/plugins/icaro/icons
cp -a plugintortucaro/icaro/icons/*.* %{buildroot}%{_datadir}/sugar/activities/TurtleArt.activity/plugins/icaro/icons


# ya no hace falta instalar las librerias!!!! 
# logre que quedaran dentro de icaro y linkearlas directamente
#pruebas de instalar librerías
#mkdir -p %{buildroot}%{_datadir}/sdcc/include/pic16
#install -p -D -m 0644 sdcc-include/*.h %{buildroot}%{_datadir}/sdcc/include/pic16
#mkdir -p %{buildroot}%{_datadir}/sdcc/lib/pic16
#install -p -D -m 0644 sdcc-include/libdev18f4550.lib %{buildroot}%{_datadir}/sdcc/lib/pic16


mkdir -p %{buildroot}%{_sysconfdir}/udev/rules.d/
cp -p -a udev/* %{buildroot}%{_sysconfdir}/udev/rules.d/
#cp -p -a apicaro/99-serial.rules %{buildroot}%{_sysconfdir}/udev/rules.d/
install -d %{buildroot}%{_bindir}
#create executable of program
cat > icaro <<EOF
#! /bin/bash
python /usr/share/icaro/main.py
EOF
install -m 755 icaro %{buildroot}%{_bindir}/%{name}

mkdir -p %{buildroot}%{_datadir}/icons/hicolor/48x48/apps/

#este es el logo para el desktop
install -p -D -m 0644 imagenes/icarologo.png  %{buildroot}%{_datadir}/icons/hicolor/48x48/apps/

#create desktop file
desktop-file-install \
        --dir %{buildroot}%{_datadir}/applications \
        %{SOURCE1}
%post
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache -f %{_datadir}/icons/hicolor &>/dev/null || :
fi
      
%posttrans
/usr/bin/gtk-update-icon-cache -f %{_datadir}/icons/hicolor &>/dev/null || :



%files -f icaro.lang
%doc README INSTALL COPYING AUTHORS
#%{_datadir}/sdcc/include/pic16/
#%{_datadir}/sdcc/lib/pic16/
%attr(0777, root, root) %{_datadir}/%{name}/source
%attr(0777, root, root) %{_datadir}/%{name}/tmp
%attr(0777, root, root) %{_datadir}/%{name}/tortucaro
%{_datadir}/sugar/activities/TurtleArt.activity/plugins/icaro/
%{_datadir}/sugar/activities/TurtleArt.activity/plugins/icaro/icons
%{python_sitelib}/apicaro*egg*
%{python_sitelib}/apicaro/
%{_datadir}/%{name}/
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/48x48/apps/icarologo.png
%config %{_sysconfdir}/udev/rules.d/26-microchip.rules
%config %{_sysconfdir}/udev/rules.d/41-microchip.rules
#%config %{_sysconfdir}/udev/rules.d/99-serial.rules
%changelog

* Wed Dec 12 2012 Eduardo Echeverria <echevemaster@gmail.com> - 1.0-2
- Various Changes to spec

* Thu Sep 28 2012 Yader Velasquez <yaderv@fedoraproject.org> - 1.0-1
- Primer borrador de spec
